From b55799c02bf64fc4beba944382869077fffd095c Mon Sep 17 00:00:00 2001
From: svenper <svenper@tuta.io>
Date: Sun, 30 Jun 2019 17:51:23 +0200
Subject: [PATCH] New package: python-fonttools-3.43.1

---
 srcpkgs/python-fonttools/template | 31 +++++++++++++++++++++++++++++++
 srcpkgs/python3-fonttools         |  1 +
 2 files changed, 32 insertions(+)
 create mode 100644 srcpkgs/python-fonttools/template
 create mode 120000 srcpkgs/python3-fonttools

diff --git a/srcpkgs/python-fonttools/template b/srcpkgs/python-fonttools/template
new file mode 100644
index 00000000000..05c31aa35c1
--- /dev/null
+++ b/srcpkgs/python-fonttools/template
@@ -0,0 +1,31 @@
+# Template file for 'python-fonttools'
+pkgname=python-fonttools
+version=3.43.1
+revision=1
+wrksrc="${pkgname#python-}-${version}"
+build_style=python-module
+pycompile_module="fonttools"
+hostmakedepends="python-devel python3-devel python-setuptools python3-setuptools"
+makedepends="${hostmakedepends}"
+short_desc="Library to manipulate font files from Python2"
+maintainer="svenper <svenper@tuta.io>"
+license="MIT, OFL-1.1, BSD-3-Clause"
+homepage="https://github.com/fonttools/fonttools"
+distfiles="https://github.com/fonttools/fonttools/archive/${version}.tar.gz"
+checksum=12b05c56ac60fe15b2fce6958df1408e054a403270ddfc05d3a096afe73d9419
+
+post_install() {
+	vlicense LICENSE
+	vlicense LICENSE.external
+}
+
+python3-fonttools_package() {
+	pycompile_module="fonttools"
+	short_desc="${short_desc/Python2/Python3}"
+	pkg_install() {
+		vmove "usr/lib/python3*"
+		vmove "usr/bin/*3"
+		vlicense LICENSE
+		vlicense LICENSE.external
+	}
+}
diff --git a/srcpkgs/python3-fonttools b/srcpkgs/python3-fonttools
new file mode 120000
index 00000000000..8b2310cea88
--- /dev/null
+++ b/srcpkgs/python3-fonttools
@@ -0,0 +1 @@
+python-fonttools
\ No newline at end of file
